it.csi.mddtools.guigen

## Interface TypeAnnotation

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface TypeAnnotation
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Type Annotation'.

  The following features are supported:

  - `Language`
  - `Fqn`
  See Also:
    `GuigenPackage.getTypeAnnotation()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFqn()` Returns the value of the 'Fqn' attribute
    `java.lang.String` | `getLanguage()` Returns the value of the 'Language' attribute
    `void` | `setFqn(java.lang.String value)` Sets the value of the '`Fqn`' attribute
    `void` | `setLanguage(java.lang.String value)` Sets the value of the '`Language`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getLanguage

          java.lang.String getLanguage()

      Returns the value of the 'Language' attribute.

      If the meaning of the 'Language' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Language' attribute.
      See Also:
        `setLanguage(String)`, `GuigenPackage.getTypeAnnotation_Language()`

    - #### setLanguage

          void setLanguage(java.lang.String value)

      Sets the value of the '`Language`' attribute.
      Parameters:
        `value` - the new value of the 'Language' attribute.
      See Also:
        `getLanguage()`

    - #### getFqn

          java.lang.String getFqn()

      Returns the value of the 'Fqn' attribute.

      If the meaning of the 'Fqn' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Fqn' attribute.
      See Also:
        `setFqn(String)`, `GuigenPackage.getTypeAnnotation_Fqn()`

    - #### setFqn

          void setFqn(java.lang.String value)

      Sets the value of the '`Fqn`' attribute.
      Parameters:
        `value` - the new value of the 'Fqn' attribute.
      See Also:
        `getFqn()`